## org.apache.batik.swing.svg
Class GVTTreeBuilder

    java.lang.Object
      java.lang.Thread
          org.apache.batik.swing.svg.GVTTreeBuilder

All Implemented Interfaces:
  java.lang.Runnable

public class GVTTreeBuilder
extends java.lang.Thread

This class represents an object which builds asynchroneaously a GVT tree.

Field Summary
`protected boolean` `beenInterrupted` Boolean indicating if this thread has ever been interrupted.
`protected BridgeContext` `bridgeContext` The bridge context to use.
`protected java.lang.Exception` `exception` The exception thrown.
`protected java.util.List` `listeners` The listeners.
`protected SVGDocument` `svgDocument` The SVG document to give to the bridge.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GVTTreeBuilder(SVGDocument doc, BridgeContext bc)` Creates a new GVTTreeBuilder.

Method Summary
`void` `addGVTTreeBuilderListener(GVTTreeBuilderListener l)` Adds a GVTTreeBuilderListener to this GVTTreeBuilder.
`void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`boolean` `getBeenInterrupted()`
`java.lang.Exception` `getException()` Returns the exception, if any occured.
`void` `interrupt()`
`void` `removeGVTTreeBuilderListener(GVTTreeBuilderListener l)` Removes a GVTTreeBuilderListener from this GVTTreeBuilder.
`void` `run()` Runs this builder.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### svgDocument

    protected SVGDocument svgDocument

  The SVG document to give to the bridge.

### bridgeContext

    protected BridgeContext bridgeContext

  The bridge context to use.

### listeners

    protected java.util.List listeners

  The listeners.

### exception

    protected java.lang.Exception exception

  The exception thrown.

### beenInterrupted

    protected boolean beenInterrupted

  Boolean indicating if this thread has ever been interrupted.

Constructor Detail

### GVTTreeBuilder

    public GVTTreeBuilder(SVGDocument doc,
                          BridgeContext bc)

  Creates a new GVTTreeBuilder.

Method Detail

### getBeenInterrupted

    public boolean getBeenInterrupted()

### run

    public void run()

  Runs this builder.

### interrupt

    public void interrupt()

### getException

    public java.lang.Exception getException()

  Returns the exception, if any occured.

### addGVTTreeBuilderListener

    public void addGVTTreeBuilderListener(GVTTreeBuilderListener l)

  Adds a GVTTreeBuilderListener to this GVTTreeBuilder.

### removeGVTTreeBuilderListener

    public void removeGVTTreeBuilderListener(GVTTreeBuilderListener l)

  Removes a GVTTreeBuilderListener from this GVTTreeBuilder.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.